plugins {
    `java-platform`
}
javaPlatform.allowDependencies()

dependencies {
    // The platform declares constraints on all components that

    // require alignment
    constraints {

        api("org.bouncycastle:bcprov-jdk15on:1.69")
        api("org.bouncycastle:bcpkix-jdk15on:1.69")
        api("com.alibaba:fastjson:1.2.72")
        api("commons-io:commons-io:2.6")
        api("io.jsonwebtoken:jjwt-api:${property("jjwtVersion")}")
        api("io.jsonwebtoken:jjwt-impl:${property("jjwtVersion")}")
        api("io.jsonwebtoken:jjwt-jackson:${property("jjwtVersion")}")
    }
}